Subject: Re: Unable to boot new compiled kernel (4.99.10)
To: Andreas Burghardt <>
From: Steven M. Bellovin <>
List: current-users
Date: 02/15/2007 16:36:36
On Thu, 15 Feb 2007 20:36:48 +0100
Andreas Burghardt <> wrote:

> Hello!
> Since 4.99.10 I cannot boot any new compiled kernel. I'm using 
> GENERIC_LAPTOP with an "Intel Pentium M (Dothan) (686-Class) 1729.11
> MHz, id 0x6d8" CPU. Everytime I'm trying to boot a new compiled
> kernel (it doesn't matter if I tune it for my cpu or not I get the
> failure "Inappropriate File Type Format ..." before booting it and
> have to use onetbsd. One time I got a page fault (sorry, I
> couldn't repeat this failure ...). The kernel I'm using now is from
> the 08.02 ...
Are you using compressed kernels with grub?  I had to switch to
uncompressed kernels for similar reasons.

		--Steve Bellovin,